"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@babel/core");
class BabelTransformer {
    constructor(babelConfig, iife = true) {
        this.babelConfig = babelConfig;
        this.iife = iife;
        this.hasConfigFile = !!(0, core_1.loadPartialConfig)()?.config;
    }
    async transform(contents, filename) {
        const config = {
            filename,
            ...(this.hasConfigFile ? {} : this.babelConfig)
        };
        const result = await (0, core_1.transformAsync)(contents, config);
        const code = result?.code ?? '';
        return this.iife ? this.wrapIIFE(code) : code;
    }
    wrapIIFE(code) {
        return `(function(){${code}\n})()`;
    }
}
exports.default = BabelTransformer;
//# sourceMappingURL=transformer.js.map